Bug 159022 - sysutils/smartmontools periodic script enhancement
sysutils/smartmontools periodic script enhancement
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-19 05:10 UTC by listat2011
Modified: 2011-07-22 07:42 UTC (History)
0 users

See Also:


Attachments
file.diff (345 bytes, patch)
2011-07-19 05:10 UTC, listat2011
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description listat2011 2011-07-19 05:10:11 UTC
Majority of the periodic scripts output an empty line, following by a line that tells what they're doing before the actual program output. Smartctl's script is missing this part and atleast in all of my setups the output is right after NTP script's output.

I've included a small patch that makes smartmontools's periodic script output the empty line and title before running smartctl.

Fix: Patch /usr/local/etc/periodic/daily/smart with attached patch.

Patch attached with submission follows:
How-To-Repeat: Install sysutils/smartmontools, daily_status_smart_enable=y and see the daily run output mail.
Comment 1 Edwin Groothuis freebsd_committer 2011-07-19 05:10:19 UTC
Maintainer of sysutils/smartmontools,

Please note that PR ports/159022 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159022

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-07-19 05:10:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 samm 2011-07-20 16:02:43 UTC
Thank you,
i have nothing against this patch, please commit.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-22 07:27:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 5 dfilter freebsd_committer 2011-07-22 07:39:03 UTC
sunpoet     2011-07-22 06:38:53 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/smartmontools Makefile 
    sysutils/smartmontools/files smart.in 
  Log:
  - Update periodic script output
  - Bump PORTREVISION for PLIST change
  
  PR:             ports/159022
  Submitted by:   Ari <listat2011@apz.fi>
  Approved by:    Alex Samorukov <samm@os2.kiev.ua> (maintainer)
  
  Revision  Changes    Path
  1.52      +1 -1      ports/sysutils/smartmontools/Makefile
  1.11      +3 -1      ports/sysutils/smartmontools/files/smart.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-22 07:42:29 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!